%define major     1
%define libname   %mklibname sass %{major}
%define develname %mklibname sass -d

Name:       libsass
Version:    3.6.6
Release:    %mkrel 1
Summary:    C/C++ port of the Sass CSS precompiler
Group:      System/Libraries
License:    MIT
URL:        https://sass-lang.com/libsass
Source0:    https://github.com/sass/libsass/archive/%{version}/%{name}-%{version}.tar.xz

%description
Libsass is a C/C++ port of the Sass CSS precompiler. The original
version was written in Ruby, but this version is meant for
efficiency and portability.

This library strives to be light, simple, and easy to build and
integrate with a variety of platforms and languages.

Libsass is just a library, but if you want to RUN libsass, install
the sassc package.

%package -n %{libname}
Summary:    C/C++ port of the Sass CSS precompiler
Group:      System/Libraries

%description -n %{libname}
This package contains the library files required for running
services built using %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}
Provides:   sass-devel = %{version}-%{release}

%description -n %{develname}
This package contains the static libraries, headers, and other
support files required for developing applications against %{name}.

%prep
%autosetup -p1

%build
export LIBSASS_VERSION=%{version}
autoreconf -vfi
%configure2_5x --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libsass.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*.h
%{_includedir}/sass/
%{_libdir}/libsass.so
%{_libdir}/pkgconfig/libsass.pc


%changelog
* Thu Feb 15 2024 tex - 3.6.6-1pclos2024
- new version: 3.6.6
